Subject: current wg activities

From: "Hamid Ould-Brahim" <[email-masked]>
Date: Mon, 12 May 2003 10:40:10 -0400

Rick, Marco,

In Alex's email on wg splitting it indicates that:

"It is our intention to complete this process by the Vienna IETF meeting. 
Also, these changes are being made for management reasons and are not
intended 
to be a "reset" on WG activities or to halt or interrupt progress on current

ongoing WG activities."

Should we assume as well that the last call for base l3vpn documents 
is still in effect or it has been halted (since I saw the
drafts in the new charter)?

thanks.
Hamid. 

> -----Original Message-----
> From: Rick Wilder [mailto:[email-masked]]
> Sent: Friday, May 09, 2003 4:55 PM
> To: Kireeti Kompella; Alex Zinin
> Cc: [email-masked]
> Subject: RE: On BGP and VPLS
> 
> 
> 
> Kireeti,
> 
> Regarding the last part of your message, the working group chairs have
> been asked to hold off of declarations of consensus on drafts in the
> wake of discussions of re-organizing (ie. splitting) of the group.
> 
> Rick
> 
> -----Original Message-----
> From: Kireeti Kompella [mailto:[email-masked]] 
> Sent: Friday, May 09, 2003 3:18 PM
> To: Alex Zinin
> Cc: [email-masked]
> Subject: Re: On BGP and VPLS
> 
> Hi Alex,
> 
> On Fri, 2 May 2003, Alex Zinin wrote:
> 
> >  More specifically, below I tried to put together a list of concerns
> >  I have about the approach described in draft-kompella-ppvpn-vpls,
> >  that I would like the WG to consider.
> >
> >  1. Use of the NLRI field
> >
> >    As an IP routing protocol, BGP uses the NLRI field to carry IP
> >    reachability information in the form of IP prefixes.
> 
> As an IP routing protocol, sure.  But nowhere in RFC 2858 does it
> say that BGP has to only be an IP routing protocol.
> 
> Furthermore, if BGP is used for L2 autodiscovery (which is by the way
> a PPVPN *Working Group* document), the exact same issue applies.
> 
> >  2. Distribution of information
> >
> >    When used as an IP routing protocol, BGP distributes routes among
> >    all participating routers.
> 
> For 2547, you have the same issue: BGP distributes routes among *all*
> participating routers, whereas only a few are really 
> interested in them.
> So why is this an issue for VPLS but not for 2547?  The distribution
> mechanisms are identical.
> 
> >  3. Aggregation of information for large-scale operation
> 
> Nowhere does 2858 talk about aggregation; in fact, the notion of
> aggregation is not even mentioned.
> 
> --------------
> 
> On the issues of BGP for VPLS and also of single solution vs. 
> multiple,
> there seems to me (I'm not a PPVPN WG chair!) good consensus that the
> WG wants a BGP solution, and also that they want multiple solutions.
> Are you, Alex, proposing to override that consensus?
> 
> The call for consensus to make the various VPLS drafts WG documents
> was made over 3 weeks ago, and the call was supposed to last one week.
> We are thus two weeks overdue.  I would like the WG chairs to declare
> what consensus they see, keeping in mind the email that Bert Wijnen
> (who is a seasoned Area Director) sent to the TE WG just 
> today, saying:
> 
> || But it is WG chair(s) who decide on how to gauge WG conensus.
> 
> Or, from RFC 2418:
> 
> 3.3. Session management
> 
>    Working groups make decisions through a "rough consensus" process.
> ....
>                          It is up to the Chair to determine if rough
>    consensus has been reached.
> 
> Kireeti.
> 
> 
> 
>